Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IColor

    java.lang.Object
      igeo.IColor

    public class IColor

extends java.lang.Object

Abstracted color class in case ATW not provided.

Author:
  Satoru Sugihara

Field Summary
`float[]` | `rgba`

Constructor Summary
`IColor()`
`IColor(java.awt.Color c)`
`IColor(java.awt.Color c, double alpha)`
`IColor(java.awt.Color c, float alpha)`
`IColor(java.awt.Color c, int alpha)`
`IColor(double grey)`
`IColor(double grey, double a)`
`IColor(double r, double g, double b)`
`IColor(double r, double g, double b, double a)`
`IColor(float grey)`
`IColor(float grey, float a)`
`IColor(float r, float g, float b)`
`IColor(float r, float g, float b, float a)`
`IColor(IColor c)`
`IColor(IColor c, double alpha)`
`IColor(IColor c, float alpha)`
`IColor(IColor c, int alpha)`
`IColor(int grey)`
`IColor(int grey, int a)`
`IColor(int r, int g, int b)`
`IColor(int r, int g, int b, int a)`

Method Summary
`float` | `a()`
`float` | `alpha()`
`int` | `argb()` returns one 32 bit integer in the order of ARGB
`java.awt.Color` | `awt()`
`float` | `b()`
`float` | `blue()`
`float` | `g()`
`int` | `getAlpha()`
`int` | `getBlue()`
`int` | `getGreen()`
`int` | `getGrey()`
`int` | `getInt()` alias of argb()
`int` | `getRed()`
`float` | `green()`
`float` | `grey()`
`static IColor` | `hsb(double h, double s, double b)`
`static IColor` | `hsb(double h, double s, double b, double a)`
`static IColor` | `hsb(float h, float s, float b)`
`static IColor` | `hsb(float h, float s, float b, float a)`
`int` | `i()` alias of argb()
`float` | `r()`
`float` | `red()`
`float[]` | `rgba()` returns array of 4 float in the order of RGBA
`IColor` | `set(double r, double g, double b, double a)`
`IColor` | `set(float r, float g, float b, float a)`
`IColor` | `set(int r, int g, int b, int a)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rgba

    public float[] rgba

Constructor Detail

### IColor

    public IColor()

### IColor

    public IColor(float r,
                  float g,
                  float b,
                  float a)

### IColor

    public IColor(float r,
                  float g,
                  float b)

### IColor

    public IColor(float grey,
                  float a)

### IColor

    public IColor(float grey)

### IColor

    public IColor(double r,
                  double g,
                  double b,
                  double a)

### IColor

    public IColor(double r,
                  double g,
                  double b)

### IColor

    public IColor(double grey,
                  double a)

### IColor

    public IColor(double grey)

### IColor

    public IColor(int r,
                  int g,
                  int b,
                  int a)

### IColor

    public IColor(int r,
                  int g,
                  int b)

### IColor

    public IColor(int grey,
                  int a)

### IColor

    public IColor(int grey)

### IColor

    public IColor(IColor c)

### IColor

    public IColor(IColor c,
                  float alpha)

### IColor

    public IColor(IColor c,
                  double alpha)

### IColor

    public IColor(IColor c,
                  int alpha)

### IColor

    public IColor(java.awt.Color c)

### IColor

    public IColor(java.awt.Color c,
                  float alpha)

### IColor

    public IColor(java.awt.Color c,
                  double alpha)

### IColor

    public IColor(java.awt.Color c,
                  int alpha)

Method Detail

### set

    public IColor set(float r,
                      float g,
                      float b,
                      float a)

### set

    public IColor set(double r,
                      double g,
                      double b,
                      double a)

### set

    public IColor set(int r,
                      int g,
                      int b,
                      int a)

### hsb

    public static IColor hsb(float h,
                             float s,
                             float b,
                             float a)

### hsb

    public static IColor hsb(float h,
                             float s,
                             float b)

### hsb

    public static IColor hsb(double h,
                             double s,
                             double b,
                             double a)

### hsb

    public static IColor hsb(double h,
                             double s,
                             double b)

### rgba

    public float[] rgba()

  returns array of 4 float in the order of RGBA

### argb

    public int argb()

  returns one 32 bit integer in the order of ARGB

### getInt

    public int getInt()

  alias of argb()

### i

    public int i()

  alias of argb()

### r

    public float r()

### g

    public float g()

### b

    public float b()

### a

    public float a()

### red

    public float red()

### green

    public float green()

### blue

    public float blue()

### alpha

    public float alpha()

### grey

    public float grey()

### getRed

    public int getRed()

### getGreen

    public int getGreen()

### getBlue

    public int getBlue()

### getAlpha

    public int getAlpha()

### getGrey

    public int getGrey()

### awt

    public java.awt.Color awt()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD